#
# spec file for package tree-sitter-css
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name css
Name:           tree-sitter-css
Version:        0.23.2
Release:        1.1
Summary:        CSS grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter/tree-sitter-css
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Fri Jan 17 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.2:
  * build: update package-lock.json
  * fix: allow host as a standalone class name
  * fix: don't disallow single quotes when determining pseudo class selection
  * fix: improve error recovery with incomplete pseudo-class selectors
  * fix: mark selectors before combinators as optional
  * build: bump deps
  * chore: generate
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.1:
  * feat: allow escape sequences in class names
  * feat: improve string parsing
  * fix: prefer attribute selectors in pseudo class selectors
  * feat: add string_content
  * fix: allow :host, :host-context, :nth-child
  * build: update bindings
- update to 0.23.0:
  * build: update bindings
- update to 0.21.1:
  * fix: do not consume braces in a string
  * fix: correct identifier regex
  * fix: Restrict :has, :not, :is, and :where to selector arguments
  * chore: remove reset function
- update to 0.21.0:
  * build: update bindings
  * docs: update badges
- add neovim links
- switch to download_files service, as nothing special happens with
  the source
- add devel package
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.0:
  * feat: add issue templates
  * feat: add ci actions
  * docs: add badges to readme
  * chore: update bindings and manifests
  * feat: add and apply eslint formatting
  * chore: generate
  * fix: don't make strings a token
  * feat: support postcss statements
  * fix: pseudo class selector colons not being parsed correct
